Orxonox: orxonox::GUIOverlay Class Reference

# orxonox::GUIOverlay Class Reference

`#include <src/orxonox/overlays/GUIOverlay.h>`

Inheritance diagram for orxonox::GUIOverlay:

List of all members.

## Public Member Functions

virtual void | changedVisibility ()
| Called by BaseObject when visibility has changed.
const std::string & | getGUIName () const
| GUIOverlay (BaseObject *creator)
void | setGUIName (const std::string &name)
virtual void | XMLPort (Element &xmlElement, XMLPort::Mode mode)
| Loads the OrxonoxOverlay.
virtual | ~GUIOverlay ()

## Private Attributes

std::string | guiName_

## Constructor & Destructor Documentation

orxonox::GUIOverlay::GUIOverlay | ( | BaseObject * | creator | ) |

References RegisterObject.

orxonox::GUIOverlay::~GUIOverlay | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::GUIOverlay::changedVisibility | ( |  | ) | `[virtual]`

Called by BaseObject when visibility has changed.

Reimplemented from orxonox::OrxonoxOverlay.

References orxonox::GUIManager::executeCode(), orxonox::InputManager::getInstance(), orxonox::GUIManager::getInstance(), guiName_, orxonox::BaseObject::isVisible(), orxonox::InputManager::requestEnterState(), orxonox::InputManager::requestLeaveState(), and SUPER.

const std::string& orxonox::GUIOverlay::getGUIName | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::GUIOverlay::setGUIName | ( | const std::string & | name | ) | `[inline]`

Referenced by XMLPort().

void orxonox::GUIOverlay::XMLPort | ( | Element & | xmlElement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Loads the OrxonoxOverlay.

This has to be called before usage, otherwise strange behaviour is guaranteed! (there should be no segfaults however). XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::OrxonoxOverlay.

References getGUIName(), orxonox::GUIManager::getInstance(), guiName_, orxonox::GUIManager::registerOverlay(), setGUIName(), SUPER, and XMLPortParam.

## Member Data Documentation

std::string orxonox::GUIOverlay::guiName_`[private]`

Referenced by changedVisibility(), and XMLPort().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/GUIOverlay.h
- src/orxonox/overlays/GUIOverlay.cc